The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Mysql upgrade

Discussion in 'Database Discussions' started by haridasi, Jan 3, 2014.

  1. haridasi

    haridasi Registered

    Joined:
    Oct 2, 2012
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Reseller Owner
    Hi,

    I have a cpanel DNSOnly server. I get this error message: The last attempt to update cPanel & WHM was blocked.
    Reason:
    Please correct these issues and rerun updates.

    fatal: The mysql-version value in /var/cpanel/cpanel.config is invalid. Valid values are 5.1 or 5.5. You can change the value here: MySQL Upgrade
    fatal: Newer releases of cPanel & WHM are not compatible with your MySQL version: 5.0. Upgrade your MySQL server to a version greater or equal to 5.1

    Since I have a dnsonly version, there is no "mysql upgrade" page to go to.
    If I run "yum list updates", I get no mysql updates.

    # yum list installed | grep mysql
    cpanel-mysql.x86_64 5.0.96-1.cp1136 installed
    cpanel-mysql-libs.x86_64 5.0.96-1.cp1136 installed
    cpanel-perl-514-DBD-mysql.x86_64 4.021-1.cp1136 installed

    How do I upgrade mysql?
     
  2. haridasi

    haridasi Registered

    Joined:
    Oct 2, 2012
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Reseller Owner
    That worked like a charm. Thank you :)
     
Loading...

Share This Page